> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sessions by Day

> Get sessions for given day



## OpenAPI

````yaml get /activity/sessions/{workspaceId}
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /activity/sessions/{workspaceId}:
    get:
      tags:
        - Activity
      description: Get sessions for given day
      parameters:
        - schema:
            type: string
          in: query
          name: day
          required: false
          description: Day to get sessions for (deprecated)
        - schema:
            type: string
          in: query
          name: start_date
          required: false
          description: Start date to get sessions for
        - schema:
            type: string
          in: query
          name: end_date
          required: false
          description: End date to get sessions for
        - schema:
            type: string
          in: query
          name: attendee
          required: false
          description: User ID of the attendee
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
        - schema:
            type: string
          in: header
          name: X-Socket-Id
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  permissions:
                    type: object
                    properties:
                      self_assign_host:
                        type: boolean
                      assign_host:
                        type: boolean
                      self_assign_cohost:
                        type: boolean
                      assign_cohost:
                        type: boolean
                      assign_roles:
                        type: boolean
                      create_report:
                        type: boolean
                      host_quota:
                        type: number
                      cohost_quota:
                        type: number
                      host_quota_used:
                        type: number
                      cohost_quota_used:
                        type: number
                      delete_sessions:
                        type: boolean
                      delete_adhoc_sessions:
                        type: boolean
                      cancel_sessions:
                        type: boolean
                      create_adhoc_sessions:
                        type: boolean
                    required:
                      - self_assign_host
                      - assign_host
                      - self_assign_cohost
                      - assign_cohost
                      - assign_roles
                      - create_report
                      - host_quota
                      - cohost_quota
                      - host_quota_used
                      - cohost_quota_used
                  events:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        schedule:
                          type: object
                          properties:
                            _id:
                              type: string
                            name:
                              type: string
                            public_start_offset:
                              type: number
                            public_slock_offset:
                              type: number
                            publish_to_discord:
                              type: boolean
                            game_link:
                              type: string
                            thumbnail_url:
                              type: string
                            roles:
                              type: array
                              items:
                                type: string
                            updatedAt:
                              type: string
                              format: date-time
                            game_thumbnail_url:
                              type: string
                            disable_cohost:
                              type: boolean
                          required:
                            - _id
                            - name
                            - public_start_offset
                            - public_slock_offset
                            - roles
                            - updatedAt
                        servers:
                          type: array
                          items:
                            type: object
                            properties:
                              _id:
                                type: string
                              source:
                                type: string
                                enum:
                                  - web
                                  - game
                              groups:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    _id:
                                      type: string
                                    priority:
                                      type: number
                                    name:
                                      type: string
                                    roles:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          _id:
                                            type: string
                                          user_id:
                                            type: string
                                          name:
                                            type: string
                                        required:
                                          - _id
                                          - name
                                  required:
                                    - _id
                                    - priority
                                    - roles
                              created_by:
                                type: string
                              status:
                                type: string
                              createdAt:
                                type: string
                                format: date-time
                              updatedAt:
                                type: string
                                format: date-time
                            required:
                              - _id
                              - source
                              - groups
                              - created_by
                              - status
                              - createdAt
                              - updatedAt
                        start:
                          type: string
                          format: date-time
                        in_progress:
                          type: boolean
                        cancelled:
                          type: boolean
                          default: false
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        adhoc:
                          type: boolean
                          default: false
                        host_id:
                          type: string
                        host:
                          type: object
                          properties:
                            exists:
                              type: boolean
                            id:
                              type: string
                            username:
                              type: string
                            display_name:
                              type: string
                          required:
                            - exists
                        co_host_id:
                          type: string
                        co_host:
                          type: object
                          properties:
                            exists:
                              type: boolean
                            id:
                              type: string
                            username:
                              type: string
                            display_name:
                              type: string
                          required:
                            - exists
                        polyfill:
                          type: array
                          items:
                            type: object
                            properties:
                              _id:
                                type: string
                              name:
                                type: string
                              roles:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    _id:
                                      type: string
                                    name:
                                      type: string
                                  required:
                                    - _id
                                    - name
                              priority:
                                type: number
                              createdAt:
                                type: string
                                format: date-time
                              updatedAt:
                                type: string
                                format: date-time
                            required:
                              - _id
                              - name
                              - roles
                              - priority
                              - createdAt
                              - updatedAt
                        subhosting:
                          type: array
                          items:
                            type: object
                            properties:
                              server_id:
                                type: string
                              type:
                                type: string
                                enum:
                                  - host_id
                                  - co_host_id
                              user_id:
                                type: string
                              user:
                                type: object
                                properties:
                                  exists:
                                    type: boolean
                                  id:
                                    type: string
                                  username:
                                    type: string
                                  display_name:
                                    type: string
                                required:
                                  - exists
                      required:
                        - _id
                        - schedule
                        - servers
                        - start
                        - in_progress
                        - createdAt
                        - updatedAt
                        - polyfill
                        - adhoc
                        - cancelled
                  week_starts_on:
                    type: string
                    enum:
                      - sunday
                      - monday
                required:
                  - permissions
                  - events
                  - week_starts_on
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````